#!/bin/bash

input_file="example_with_links.xml"
output_file="example_with_links_report.xlsx"
error_file="example_with_links_error.xml"

response=$(curl --request POST --data-binary @"$input_file" http://localhost:8886/excel_report_xml --output "$output_file" --write-out "%{http_code}")

if [ "$response" -ne 200 ]; then
  echo "Error while executing the request. Response code: $response"
  mv "$output_file" "$error_file"
else
  echo "The request was executed successfully. Response code: $response"
fi